Welcome to WebmasterWorld Guest from 54.196.233.208

Forum Moderators: incrediBILL

Message Too Old, No Replies

FireFox 4 and RoboForm 6

FF4 only works with RF7 and they want to charge you !

     
11:08 am on May 4, 2011 (gmt 0)

Preferred Member

10+ Year Member

joined:Mar 14, 2003
posts:508
votes: 0


Just a heads up before you update to FF4!

When I updated to FF4 RoboForm 6 stopped working.

No problem, when I bought Roboform they promised updates are free for life. Went to update and Siber Systems want some money!

A quick search shows there's a lot of unhappy people at the moment, even talk of a class action.

Anyway life's too short, bye-bye Roboform hello LastPass which is free (for now!)